## prads 0.3.0

=== Makefile ===
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
CONFDIR=${PREFIX}/etc/prads
MANDIR=${PREFIX}/share/man/man1

build:
	@echo "You need libpcre-dev and libpcap-dev to compile this program."
	${MAKE} CONFDIR=${CONFDIR} -C src/

clean:
	${MAKE} -C src/ $@
	rm -f doc/prads.1 doc/prads.1.gz
	rm -f doc/prads-wirefuzz.1 doc/prads-wirefuzz.1.gz
	rm -f doc/prads-asset-report.1 doc/prads-asset-report.1.gz
	rm -f doc/prads2snort.1 doc/prads2snort.1.gz

.PHONY: man
man: doc/prads.1.gz doc/prads-asset-report.1.gz doc/prads-wirefuzz.1.gz doc/prads2snort.1.gz

doc/%.1.gz: doc/%.1
	@>$@<$< gzip -9

doc/%.1: doc/%.man
	rst2man $< >$@

install: man
	# binaries
	install -d ${DESTDIR}${BINDIR}
	install -m 755 -o root -g root src/prads ${DESTDIR}${BINDIR}/prads
	install -m 755 -o root -g root tools/prads-asset-report ${DESTDIR}${BINDIR}/prads-asset-report
	install -m 755 -o root -g root tools/prads2snort ${DESTDIR}${BINDIR}/prads2snort
	# config
	install -d ${DESTDIR}${CONFDIR}
	install -m 644 -o root -g root etc/prads.conf ${DESTDIR}${CONFDIR}/
	# fingerprints
	#install -m 644 -o root -g root etc/osi.fp ${DESTDIR}${CONFDIR}/
	#install -m 644 -o root -g root etc/oso.fp ${DESTDIR}${CONFDIR}/
	#install -m 644 -o root -g root etc/osu.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-syn.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-synack.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-fin.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-rst.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-stray-ack.fp ${DESTDIR}${CONFDIR}/
	# signatures
	install -m 644 -o root -g root etc/eth.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/icmp-data.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/mac.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/mtu.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/os.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-clients.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/tcp-service.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/udp-service.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/service-string.sig ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g root etc/web-application.sig ${DESTDIR}${CONFDIR}/
	# ports 
	install -d ${DESTDIR}${CONFDIR}
	install -m 644 -o root -g root etc/udp.ports ${DESTDIR}${CONFDIR}/
	install -d ${DESTDIR}${CONFDIR}/init.d
	install -m 755 -o root -g root doc/prads.rc ${DESTDIR}${CONFDIR}/init.d/
	# man pages
	install -d ${DESTDIR}${MANDIR}
	install -m 644 -o root -g root doc/prads.1.gz ${DESTDIR}${MANDIR}/
	install -m 644 -o root -g root doc/prads-asset-report.1.gz ${DESTDIR}${MANDIR}/
	install -m 644 -o root -g root doc/prads2snort.1.gz ${DESTDIR}${MANDIR}/


.PHONY: build clean install

=== src/Makefile ===
#Makefile
#CC=gcc
LDFLAGS=-lpcap -lpcre -lresolv
CFLAGS=-O3 -DCONFDIR='"${CONFDIR}/"'

ifneq (${DEBUG},)
CFLAGS = -g -DDEBUG -Wall -DCONFDIR='"${CONFDIR}/"'
endif
ifneq (${PROFILE},)
CFLAGS=-g -pg -DCONFDIR='"${CONFDIR}/"'
endif
ifneq (${EXTRADEBUG},)
CFLAGS+= -DDUMP_HASH -DDEBUG_HASH -DDEBUG=2 -DDEBUG=2
endif
ifneq (${DEBUG_PACKET},)
CFLAGS+= -DDEBUG_PACKET
endif

BUILD=gnu
ifeq (${BUILD},osx)
CFLAGS+=-I/opt/local/include/ -DOSX
CONFDIR=/opt/etc/prads
else
CFLAGS+=-D__USE_GNU
CONFDIR=../etc
endif

SERVICE_OBJ = servicefp/servicefp.o servicefp/tcpc.o servicefp/tcps.o servicefp/udps.o 

IPFP_OBJ = ipfp/ipfp.o ipfp/udp_fp.o ipfp/icmp_fp.o
LOG_OBJ = output-plugins/log_dispatch.o output-plugins/log_stdout.o output-plugins/log_file.o output-plugins/log_fifo.o
CXT_OBJ = cxt.o
MODULES = dump_dns.o mac.o ${SERVICE_OBJ} ${IPFP_OBJ} ${CXT_OBJ} ${LOG_OBJ}
OBJECTS = bstrlib.o sig_tcp.o config.o sys_func.o assets.o prads.o ${MODULES}

all: prads

osx:
	$(MAKE) BUILD=osx

prads: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LDFLAGS)

static: $(OBJECTS)
	$(MAKE) CFLAGS+=-static prads

debug:
	 ${MAKE} DEBUG=y

profile:
	${MAKE} PROFILE=y

clean:
	-rm -fv $(OBJECTS)
	-rm -f prads 

indent:
	find -type f -name '*.[ch]' | xargs indent -kr -i4 -cdb -sc -sob -ss -ncs -ts8 -nut

# oldschool header file dependency checking.
deps:
	-rm -f deps.d
	for i in $(subst .o,.c,$(OBJECTS)); do gcc -MM $$i >> deps.d; done

ifneq ($(wildcard deps.d),)
include deps.d
endif

tags: *.h *.c
	ctags -R

=== debian/changelog ===
prads (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #644050)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 02 Oct 2011 12:55:25 +0200

=== debian/control ===
Source: prads
Section: utils
Priority: extra
Maintainer: Prads package developers <prads-devel@projects.linpro.no>
Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>,
           Kacper Wysocki <comotion@krutt.org>
Build-Depends: debhelper (>= 7.0.50~), libpcap-dev, libpcre3-dev, python-docutils (>= 0.6)
Standards-Version: 3.9.2
Homepage: http://gamelinux.github.com/prads/
Vcs-Git: git://github.com/gamelinux/prads.git
Vcs-Browser: http://github.com/gamelinux/prads/tree/master
DM-Upload-Allowed: yes

Package: prads
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8, libpcre3,
 adduser
Description: Passive Real-time Asset Detection System
 PRADS is a Passive Real-time Asset Detection System.
 .
 PRADS employs digital fingerprints to recognize services on the wire,
 and can be used to map your network and monitor for changes in real
 time.
 .
 Real-time passive traffic analysis will also let you detect assets
 that are just connected to the network for a short period of time,
 since PRADS can glean useful information from every packet.
 .
 PRADS aims to be the one-stop-shop for passive asset detection, and
 currently does MAC lookups, TCP and UDP OS fingerprinting as well as
 client and service application matching and a connection state table.
 Various output plugins include logfile and FIFO and make PRADS a
 useful replacement for p0f, pads and sancp.
 .
 PRADS was built from the ground up for a small footprint and modern
 networks with IPv6 and gigabits of throughput.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CONFDIR=/etc/prads

override_dh_auto_install:
	$(MAKE) PREFIX=/usr CONFDIR=/etc/prads DESTDIR=$(CURDIR)/debian/prads install

## prads 0.3.3

=== Makefile ===
PREFIX=/usr/local
BINDIR=${PREFIX}/bin
CONFDIR=${PREFIX}/etc/prads
MANDIR=${PREFIX}/share/man/man1
DOCUTIL=rst2man
INSTALLGROUP=root

ifeq ($(UNAME), FreeBSD)
DOCUTIL=rst2man.py
INSTALLGROUP=wheel
endif

build:
	@echo "You need libpcre-dev and libpcap-dev to compile this program."
	${MAKE} CONFDIR=${CONFDIR} -C src/

clean:
	${MAKE} -C src/ $@
	rm -f doc/prads.1 doc/prads.1.gz
	rm -f doc/prads-wirefuzz.1 doc/prads-wirefuzz.1.gz
	rm -f doc/prads-asset-report.1 doc/prads-asset-report.1.gz
	rm -f doc/prads2snort.1 doc/prads2snort.1.gz

.PHONY: man
man: doc/prads.1.gz doc/prads-asset-report.1.gz doc/prads-wirefuzz.1.gz doc/prads2snort.1.gz

doc/%.1.gz: doc/%.1
	@>$@<$< gzip -9

doc/%.1: doc/%.man
	${DOCUTIL} $< >$@

install: man
	# binaries
	install -d ${DESTDIR}${BINDIR}
	install -m 755 -o root -g ${INSTALLGROUP} src/prads ${DESTDIR}${BINDIR}/prads
	install -m 755 -o root -g ${INSTALLGROUP} tools/prads-asset-report ${DESTDIR}${BINDIR}/prads-asset-report
	install -m 755 -o root -g ${INSTALLGROUP} tools/prads2snort ${DESTDIR}${BINDIR}/prads2snort
	# config
	install -d ${DESTDIR}${CONFDIR}
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/prads.conf ${DESTDIR}${CONFDIR}/
	# fingerprints
	#install -m 644 -o root -g ${INSTALLGROUP} etc/osi.fp ${DESTDIR}${CONFDIR}/
	#install -m 644 -o root -g ${INSTALLGROUP} etc/oso.fp ${DESTDIR}${CONFDIR}/
	#install -m 644 -o root -g ${INSTALLGROUP} etc/osu.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} etc/tcp-syn.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} etc/tcp-synack.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} etc/tcp-fin.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} etc/tcp-rst.fp ${DESTDIR}${CONFDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} etc/tcp-stray-ack.fp ${DESTDIR}${CONFDIR}/
	# signatures
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/eth.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/icmp-data.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/mac.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/mtu.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/os.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/tcp-clients.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/tcp-service.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/udp-service.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/service-string.sig ${DESTDIR}${CONFDIR}/
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/web-application.sig ${DESTDIR}${CONFDIR}/
	# ports 
	install -d ${DESTDIR}${CONFDIR}
	install -C -m 644 -o root -g ${INSTALLGROUP} etc/udp.ports ${DESTDIR}${CONFDIR}/
	install -d ${DESTDIR}${CONFDIR}/init.d
	install -m 755 -o root -g ${INSTALLGROUP} doc/prads.rc ${DESTDIR}${CONFDIR}/init.d/
	# man pages
	install -d ${DESTDIR}${MANDIR}
	install -m 644 -o root -g ${INSTALLGROUP} doc/prads.1.gz ${DESTDIR}${MANDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} doc/prads-asset-report.1.gz ${DESTDIR}${MANDIR}/
	install -m 644 -o root -g ${INSTALLGROUP} doc/prads2snort.1.gz ${DESTDIR}${MANDIR}/


.PHONY: build clean install

=== src/Makefile ===
#Makefile
#CC=gcc
UNAME := $(shell uname -s)
CFLAGS=-O3

# for finding static libraries
LIBDIR=/usr/lib/x86_64-linux-gnu

# RHEL5 libresolv doesnt export certain essential symbols, but they are present
ifneq ($(findstring 5.,$(shell [ -f /etc/redhad-release ] && cat /etc/redhat-release | awk '{ print $3 }')),)
LDFLAGS+=/usr/lib64/libresolv.a
endif

ifeq (${RELEASE},)
CFLAGS+=-DRELEASE='"$(shell git describe | cut -f2- -d_ | sed s/`git tag -l | grep -v /| tail -n1`//)"'
endif

# for using a newer libpcap
ifneq (${PCAPDIR},)
LDFLAGS+=-L${PCAPDIR}
else
PCAPDIR=${LIBDIR}
endif

ifeq (${STATIC},)

# if you want to use perftools
ifeq (${TCMALLOC},y)
LDFLAGS+=-ltcmalloc
endif
LDFLAGS+=-lpcap -lpcre -lresolv
CFLAGS+=-DCONFDIR='"${CONFDIR}/"'
else
ifeq (${TCMALLOC},y)
LDFLAGS+=/usr/lib/libtcmalloc_minimal.a
endif

CFLAGS+=-DCONFDIR='"prads.d/"' -static
LDFLAGS=-static
LDFLAGS+=${LIBDIR}/libpcre.a ${PCAPDIR}/libpcap.a ${LIBDIR}/libresolv.a

endif

ifneq (${DEBUG},)
CFLAGS = -g -DDEBUG -Wall -DCONFDIR='"${CONFDIR}/"'
endif
ifneq (${PROFILE},)
CFLAGS=-g -pg -DCONFDIR='"${CONFDIR}/"'
endif
ifneq (${PPROF},)
LDFLAGS+=-lprofiler
endif
ifneq (${EXTRADEBUG},)
CFLAGS+= -DDUMP_HASH -DDEBUG_HASH -DDEBUG=2 -DDEBUG=2
endif
ifneq (${DEBUG_PACKET},)
CFLAGS+= -DDEBUG_PACKET
endif
ifeq ($(UNAME), FreeBSD)
LDFLAGS= -L/usr/local/lib -lpcre -lpcap
CPPFLAGS= -I/usr/local/include
endif

BUILD=gnu
ifeq (${BUILD},osx)
CFLAGS+=-I/opt/local/include/ -DOSX
CONFDIR=/opt/etc/prads
else
CFLAGS+=-D__USE_GNU
CONFDIR=../etc
endif

SERVICE_OBJ = servicefp/servicefp.o servicefp/tcpc.o servicefp/tcps.o servicefp/udps.o 

IPFP_OBJ = ipfp/ipfp.o ipfp/udp_fp.o ipfp/icmp_fp.o
LOG_OBJ = output-plugins/log_dispatch.o output-plugins/log_stdout.o output-plugins/log_file.o output-plugins/log_fifo.o output-plugins/log_ringbuffer.o output-plugins/log_sguil.o
CXT_OBJ = cxt.o
MODULES = dhcp.o dump_dns.o mac.o ${SERVICE_OBJ} ${IPFP_OBJ} ${CXT_OBJ} ${LOG_OBJ}
OBJECTS = bstrlib.o sig_tcp.o config.o sys_func.o assets.o prads.o ${MODULES}
SHM_CLIENT_OBJECTS = shm-client.o

all: prads shm-client

osx:
	$(MAKE) BUILD=osx

prads: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LDFLAGS)

shm-client: $(SHM_CLIENT_OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(SHM_CLIENT_OBJECTS) $(LDFLAGS)

static: 
	$(MAKE) STATIC=y prads

debug:
	 ${MAKE} DEBUG=y

profile:
	${MAKE} PROFILE=y

clean:
	-rm -fv $(OBJECTS)
	-rm -f prads

indent:
	find -type f -name '*.[ch]' | xargs indent -kr -i4 -cdb -sc -sob -ss -ncs -ts8 -nut

# oldschool header file dependency checking.
deps:
	-rm -f deps.d
	for i in $(subst .o,.c,$(OBJECTS)); do gcc -MM $$i >> deps.d; done

ifneq ($(wildcard deps.d),)
include deps.d
endif

tags: *.h *.c
	ctags -R

=== debian/changelog ===
prads (0.3.3-7) unstable; urgency=medium

  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13. + Rename debian/prads.tmpfile to
    debian/prads.tmpfiles.
  * Update standards version to 4.6.0, no changes needed.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 14 Oct 2021 22:11:17 +0200

prads (0.3.3-6) unstable; urgency=medium

  * debian/control: Update packaging contact information (Closes: #978625)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 07 Mar 2021 10:06:15 +0100

prads (0.3.3-5) unstable; urgency=medium

  * debian/watch: Be more restrictive when matching
  * Patch upstream: Convert eth.sig from national to utf-8 encoding
  * debian/test: Do DEP-8 tests with testinfra

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Dec 2020 18:31:16 +0100

prads (0.3.3-4) unstable; urgency=medium

  * prads.init: Ensure "status" checks pidfile in chroot

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 19:06:58 +0200

prads (0.3.3-3) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Fix output redirection in postinst script (Closes: #908252)
  * prads.init: Do not start prads in runlevel "S" (Closes: #763425)
  * Add missing changelog entry in previous release
  * prads.init: When stopping, match exec and user as well as pidfile

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: #961361)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 18:45:59 +0200

prads (0.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Depend on newer debhelper (>= 9.20160709) rather than dh-systemd.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Use secure URI in Vcs control headers: Vcs-Browser, Vcs-Git.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #960334)

  [ Stig Sandbeck Mathisen ]
  * Move packaging repository to Salsa
  * Convert packaging to use dgit-maint-merge(7) workflow
  * Declare compliance with the Debian Policy 4.5.0
  * Add patch to fix FTBFS with GCC 10 (Closes: #957706)
  * Add DEP-8 tests
  * Add a RELEASE to the version to avoid calling git during build
  * Lintian fix: Do not use old githubredir service in debian/watch
  * Lintian fix: Move to debian/prads.maintscript
  * Lintian fix: Add missing misc:Pre-Depends
  * Lintian fix: Add home /nonexistent for the prads service user
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 13:47:30 +0200

prads (0.3.3-1.2) unstable; urgency=medium

  * Add build dep on python3-docutils (Closes: #960768)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 06 Jun 2020 19:18:00 +0200

prads (0.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete Python build deps (Closes: #894822, #937317)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 10 May 2020 20:19:36 +0200

prads (0.3.3-1) unstable; urgency=medium

  * Imported upstream release 0.3.3
  * Support multiple init systems
  * Bump debhelper version to 9
    - we now build with hardening flags
  * Add patch to not overwrite CFLAGS when building
  * Install missing /etc/prads/dhcp.fp
  * Remove obsolete conffile /etc/prads/init.d/prads.rc

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 11 Feb 2014 09:24:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: prads
 Section: utils
-Priority: extra
-Maintainer: Prads package developers <prads-devel@projects.linpro.no>
-Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>,
-           Kacper Wysocki <comotion@krutt.org>
-Build-Depends: debhelper (>= 7.0.50~), libpcap-dev, libpcre3-dev, python-docutils (>= 0.6)
-Standards-Version: 3.9.2
-Homepage: http://gamelinux.github.com/prads/
-Vcs-Git: git://github.com/gamelinux/prads.git
-Vcs-Browser: http://github.com/gamelinux/prads/tree/master
-DM-Upload-Allowed: yes
+Priority: optional
+Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libpcap-dev,
+ libpcre3-dev,
+ python3-docutils,
+Standards-Version: 4.6.0
+Homepage: https://gamelinux.github.com/prads/
+Vcs-Git: https://salsa.debian.org/debian/prads.git
+Vcs-Browser: https://salsa.debian.org/debian/prads
 
 Package: prads
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8, libpcre3,
  adduser
 Description: Passive Real-time Asset Detection System

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) CONFDIR=/etc/prads
+	dh_auto_build -- CONFDIR=/etc/prads RELEASE=-debian
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=/usr CONFDIR=/etc/prads DESTDIR=$(CURDIR)/debian/prads install
+	install -m 0644 etc/dhcp.fp debian/prads/etc/prads
+	rm -frv debian/prads/etc/prads/init.d

=== debian/tests/control ===
Test-Command: cd debian/tests && py.test-3 -v
Depends: @,python3-testinfra
Restrictions: isolation-container

=== debian/watch ===
version=4
https://github.com/gamelinux/prads/tags archive/([0-9]+(?:[.][0-9]+)+)[.]tar[.]gz
